Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225876 - Merge Review: gtkspell
Summary: Merge Review: gtkspell
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:01 UTC by Nobody's working on this, feel free to take it
Modified: 2008-02-08 17:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-08 17:05:17 UTC
panemade: fedora-review+


Attachments (Terms of Use)
diff against devel cvs (deleted)
2007-12-24 16:18 UTC, Michael Schwendt
no flags Details | Diff
SPEC cleanups (deleted)
2008-01-19 10:36 UTC, Parag AN(पराग)
no flags Details | Diff

Description Nobody's working on this, feel free to take it 2007-01-31 19:01:15 UTC
Fedora Merge Review: gtkspell

http://cvs.fedora.redhat.com/viewcvs/devel/gtkspell/
Initial Owner: mbarnes@redhat.com

Comment 1 Michael Schwendt 2007-12-24 16:18:20 UTC
Created attachment 290352 [details]
diff against devel cvs

* licence is GPLv2
* fix warnings reported by rpmlint
* add full Source download URL
* drop Requires: aspell-devel because this one is built with enchant
* require full version-release of main package in -devel pkg
* add Requires: pkgconfig to -devel pkg
* disable static lib
* improve scriptlets

The reason why -devel pkgs ought to require the full
version-release of the main pkg is that they stay in sync
and to avoid surprises like this (with Rawhide):

$ rpm -qa gtkspell\*
gtkspell-devel-2.0.11-5.fc9
gtkspell-2.0.11-4.fc8


Only issue that's left is the README now still refers to aspell. ;)

Comment 2 Parag AN(पराग) 2008-01-19 10:30:00 UTC
rpmlint on current CVS build showed ==>
gtkspell.i386: E: zero-length /usr/share/doc/gtkspell-2.0.11/NEWS
gtkspell.i386: W: summary-ended-with-dot GtkSpell provides on-the-fly spell
checking for GtkTextView widgets.
gtkspell.i386: W: invalid-license GPL
gtkspell.i386: W: one-line-command-in-%post /sbin/ldconfig
gtkspell.i386: W: one-line-command-in-%postun /sbin/ldconfig


Comment 3 Parag AN(पराग) 2008-01-19 10:36:35 UTC
Created attachment 292252 [details]
SPEC cleanups

I think you don't need following line in SPEC. I have removed that in attached
patch.
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

Also, removed static library and did some spec cleanups in patch.

Comment 4 Matthew Barnes 2008-01-21 15:34:59 UTC
Thanks much for the patch.  Patch applied to gtkspell-2.0.11-7.fc9.

Comment 5 Parag AN(पराग) 2008-01-22 05:15:01 UTC
APPROVED.

Comment 6 Parag AN(पराग) 2008-01-23 05:27:54 UTC
oops sorry I closed this.

Comment 7 Parag AN(पराग) 2008-01-23 05:29:18 UTC
Notting,
  Do you think I should have not asked here to remove static library?

Comment 8 Parag AN(पराग) 2008-02-08 06:00:53 UTC
mbarens,
  Sorry. I am not sure here whether to keep -static package here or not? I think
you can add static package back to this package. As I see that

repoquery --whatrequires gtkspell-devel --repoid development-source --archlist src
===>
drivel-0:2.1.1-0.3.20071130svn.fc9.src
gajim-0:0.11.4-1.fc9.src
inkscape-0:0.45.1-5.fc9.src
sylpheed-0:2.4.8-2.src
ocaml-lablgtk-0:2.10.0-1.fc9.src
perl-Gtk2-Spell-0:1.03-6.fc8.src
gtranslator-0:1.1.7-7.fc9.src
balsa-0:2.3.22-1.fc9.src
gg2-0:2.3.0-6.fc9.src
pidgin-0:2.3.1-2.fc9.src
gnome-python2-extras-0:2.19.1-12.fc9.src
tomboy-0:0.9.5-1.fc9.src
poedit-0:1.3.9-1.fc9.src
logjam-1:4.5.3-11.fc9.src
pan-1:0.132-2.fc8.src

 I will leave this issue to you.


Comment 9 Parag AN(पराग) 2008-02-08 06:05:44 UTC
oops
  s/static package/libgtkspell.a file/


Comment 10 Matthew Barnes 2008-02-08 17:05:17 UTC
To keep package sizes down we generally don't include static libraries unless
there's a specific need for it.  I think the packages you listed all link to
gtkspell's shared library.

Closing this for now.  Feel free to reopen if you still see an issue here.


Note You need to log in before you can comment on or make changes to this bug.